#****************************************************************************
#**
#**  File     :  /cdimage/units/UEL0101/UEL0101_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  UEF Land Scout Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local TConstructionUnit = import('/lua/terranunits.lua').TConstructionUnit
local TWeapons = import('/lua/terranweapons.lua')
local TOrbitalDeathLaserBeamWeapon = TWeapons.TOrbitalDeathLaserBeamWeapon

VEL0101 = Class(TConstructionUnit) {
    
    Weapons = {
		OrbitalDeathLaserWeapon = Class(TOrbitalDeathLaserBeamWeapon){},
    },
}

TypeClass = VEL0101
