#****************************************************************************
#**
#**  File     :  /data/units/XAA0305/XAA0305_script.lua
#**  Author(s):  Jessica St. Croix
#**
#**  Summary  :  Aeon AA Gunship Script *** T4 gunship
#**
#**  Copyright  2007 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local AAirUnit = import('/lua/aeonunits.lua').AAirUnit
local WeaponsFile = import ('/lua/aeonweapons.lua')
local ADFPhasonLaser = WeaponsFile.ADFPhasonLaser
local AAAZealot02MissileWeapon = import('/lua/aeonweapons.lua').AAAZealot02MissileWeapon

VAA0305 = Class(AAirUnit) {
    Weapons = {
        Turret = Class(ADFPhasonLaser) {},
        AAGun01 = Class(AAAZealot02MissileWeapon) {},
        AAGun02 = Class(AAAZealot02MissileWeapon) {},
    },
}

TypeClass = VAA0305