#****************************************************************************
#**
#**  File     :  /cdimage/units/URA0304/URA0304_script.lua
#**  Author(s):  John Comes, David Tomandl
#**
#**  Summary  :  Cybran Strategic Bomber Script *** T4 Bomber
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local CAirUnit = import('/lua/cybranunits.lua').CAirUnit
local CIFMissileStrategicWeapon = import('/lua/cybranweapons.lua').CIFMissileStrategicWeapon
local CAAMissileNaniteWeapon = import('/lua/cybranweapons.lua').CAAMissileNaniteWeapon
local util = import('/lua/utilities.lua')
local fxutil = import('/lua/effectutilities.lua')

VRA0304 = Class(CAirUnit) {
    Weapons = {
        Bomb = Class(CIFMissileStrategicWeapon) {},
        AAGun1 = Class(CAAMissileNaniteWeapon) {},
        AAGun2 = Class(CAAMissileNaniteWeapon) {},
    },
    ContrailBones = {'Left_Exhaust','Center_Exhaust','Right_Exhaust'},
    ExhaustBones = {'Left_Exhaust','Center_Exhaust','Right_Exhaust'},
    
    OnStopBeingBuilt = function(self,builder,layer)
        CAirUnit.OnStopBeingBuilt(self,builder,layer)
        self:SetScriptBit('RULEUTC_StealthToggle', true)
    end,
}
TypeClass = VRA0304
