#****************************************************************************
#**
#**  File     :  /cdimage/units/UAA0203/UAA0203_script.lua
#**  Author(s):  Drew Staltman, Gordon Duclos
#**
#**  Summary  :  Seraphim Gunship Script *** T4 gunship
#**
#**  Copyright  2007 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local SAirUnit = import('/lua/seraphimunits.lua').SAirUnit
local WeaponsFile = import ('/lua/seraphimweapons.lua')
local SDFSinnuntheWeapon = WeaponsFile.SDFSinnuntheWeapon
local utilities = import('/lua/utilities.lua')
local EffectUtil = import('/lua/EffectUtilities.lua')
local explosion = import('/lua/defaultexplosions.lua')

VSA0203 = Class(SAirUnit) {
    Weapons = {
        TurretLeft = Class(SDFSinnuntheWeapon) {},
        TurretRight = Class(SDFSinnuntheWeapon) {},
    },
}
TypeClass = VSA0203